---
layout: mockup
title: "Calculator"
theme: Adwaita/Adwaita.css
permalink: calculator/
wallpaper: adwaita
---

{%- include widgets/_panel.html -%}

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/calculator.css">

<!-- Window -->
<div class="window small">
	<!-- Titlebar -->
	<div class="titlebar grouped">
		<!-- left button group -->
		<div class="button-group float-left" style="width: calc(28% - 6px)">
			<!-- <a class="button text-button">Undo</a> -->
			<!-- <a class="button image-button">{%- include symbolic/actions/sidebar-show-symbolic.svg -%}</a> -->
		</div>
		<!-- center button group -->
		<div class="button-group float-center text-center">
			<a class="button flat image-text-button"><b>Basic Mode</b><div class="icon s16">{%- include symbolic/actions/pan-down-symbolic.svg -%}</div></a>
		</div>
		<!-- right button group -->
		<div class="button-group float-right">
			<a class="button image-button" id="calculatorMenu">{%- include symbolic/actions/open-menu-symbolic.svg -%}</a>{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<div class="content" id="calculatorContent">
		<div class="row full">
			<form name="calculator">
				<div id="calculatorHistory" class="entry full-width"></div>
				<input type="text" name="answer" id="calculatorResults" class="entry full-width" />
				<div class="toolbar inline text-left" id="calculatorConversionToolbar">
					<a class="button text-button">Degrees&#9660;</a><a class="button text-button" style="padding-right: 2px;margin:6px;">⇆</a><a class="button text-button">Radians&#9660;</a>
					<a class="button text-button float-right">Undo</a>
					<span class="separator float-right"></span>
					<span class="float-right">0 Degrees = 0 Radians</span>
				</div>
				<div id="calculatorSections" style="">
					<!-- Advanced -->
					<div class="calculatorSection" id="calculatorAdvanced">
						<div class="calculatorButtonRow">
							<a class="button text-button">cos</a>
							<a class="button text-button">sin</a>
							<a class="button text-button">tan</a>
						</div>
						<div class="calculatorButtonRow">
							<a class="button text-button">cosh</a>
							<a class="button text-button">sinh</a>
							<a class="button text-button">tanh</a>
						</div>
						<div class="calculatorButtonRow">
							<a class="button text-button">&nbsp;&pi;&nbsp;</a>
							<a class="button text-button">mod</a>
							<a class="button text-button">&nbsp;%&nbsp;</a>
						</div>
						<div class="calculatorButtonRow">
							<a class="button text-button">√</a>
							<a class="button text-button">x!</a>
							<a class="button text-button">|x|</a>
						</div>
						<div class="calculatorButtonRow">
							<a class="button text-button">x<sup>2</sup></a>
							<a class="button text-button">x<sup>-1</sup></a>
							<a class="button text-button">x<sup>y</sup></a>
						</div>
					</div>
					<!-- Advanced -->
					<div class="calculatorSection" id="calculatorAdvanced">
						<div class="calculatorButtonRow">
							<a class="button text-button">cos</a>
							<a class="button text-button">sin</a>
							<a class="button text-button">tan</a>
						</div>
						<div class="calculatorButtonRow">
							<a class="button text-button">cosh</a>
							<a class="button text-button">sinh</a>
							<a class="button text-button">tanh</a>
						</div>
						<div class="calculatorButtonRow">
							<a class="button text-button">&nbsp;&pi;&nbsp;</a>
							<a class="button text-button">mod</a>
							<a class="button text-button">&nbsp;%&nbsp;</a>
						</div>
						<div class="calculatorButtonRow">
							<a class="button text-button">√</a>
							<a class="button text-button">x!</a>
							<a class="button text-button">|x|</a>
						</div>
						<div class="calculatorButtonRow">
							<a class="button text-button">x<sup>2</sup></a>
							<a class="button text-button">x<sup>-1</sup></a>
							<a class="button text-button">x<sup>y</sup></a>
						</div>
					</div>
					<!-- Basic -->
					<div class="calculatorSection" id="calculatorBasic" style="border-left:1px solid;">
						<div class="calculatorButtonRow">
							<a class="button text-button destructive-action" value="c" onclick="calculator.answer.value = ''" >C</a>
							<a class="button text-button">(</a>
							<a class="button text-button">)</a>
							<a class="button text-button" value="&divide;" onclick="calculator.answer.value += '/'" >&divide;</a>
						</div>
						<div class="calculatorButtonRow">
							<a class="button text-button number-button" value="1" onclick="calculator.answer.value += '1'" >1</a>
							<a class="button text-button number-button" value="2" onclick="calculator.answer.value += '2'" >2</a>
							<a class="button text-button number-button" value="3" onclick="calculator.answer.value += '3'" >3</a>
							<a class="button text-button" value="+" onclick="calculator.answer.value += '+'" >+</a>
						</div>
						<div class="calculatorButtonRow">
							<a class="button text-button number-button" value="4" onclick="calculator.answer.value += '4'" >4</a>
							<a class="button text-button number-button" value="5" onclick="calculator.answer.value += '5'" >5</a>
							<a class="button text-button number-button" value="6" onclick="calculator.answer.value += '6'" >6</a>
							<a class="button text-button" value="-" onclick="calculator.answer.value += '-'" >-</a>
						</div>
						<div class="calculatorButtonRow">
							<a class="button text-button number-button" value="7" onclick="calculator.answer.value += '7'" >7</a>
							<a class="button text-button number-button" value="8" onclick="calculator.answer.value += '8'" >8</a>
							<a class="button text-button number-button" value="9" onclick="calculator.answer.value += '9'" >9</a>
							<a class="button text-button" value="&times;" onclick="calculator.answer.value += '*'" >&times;</a>
						</div>
						<div class="calculatorButtonRow">
							<a class="button text-button number-button" value="0" onclick="calculator.answer.value += '0'" >0</a>
							<a class="button text-button">.</a>
							<a class="button text-button suggested-action" id="calculatorEqualsButton" value="=" onclick="calculator.answer.value = eval(calculator.answer.value)" >=</a>
						</div>
					</div>
				</div>
			</form>
		</div>
	</div>
	<!-- New Event Dialog -->
	<div class="gtkdialog" id="calculatorPreferencesDialog">
		<div class="gtkdialog-window">
			<div class="titlebar grouped" title="Preferences">
				<div class="button-group float-right">
					{%- include components/close-button.html close = "gtkdialog" -%}
				</div>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<h4>Format</h4>
					<ul class="listrow">
						<li>
							<label>Number Format</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right">Automatic</label>
						</li>
						<li>
							<label>Number of Decimals</label>
							<input type="number" class="entry float-right" value="9" min="1" max="12" />
						</li>
						<li>
							<label>Trailing Zeroes</label>
							{%- include components/switch.html float = "right" checked = "checked" -%}
						</li>
						<li>
							<label>Thousands Separators</label>
							{%- include components/switch.html float = "right" checked = "" -%}
						</li>
						<li>
							<label>Angle Units</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right">Degrees</label>
						</li>
						<li>
							<label>Word Size</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right">64 bits</label>
						</li>
					</ul>
				</div>
				<div class="row">
					<h4>Exchange Rates</h4>
					<ul class="listrow">
						<li>
							<label>Refresh Exchange Rate Data</label>
							{%- include components/switch.html float = "right" checked = "" -%}
						</li>
						<li>
							<label>Refresh Interval</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right">Weekly</label>
						</li>
					</ul>
					<p>Exchange rate data is sourced from the <a href="https://www.ecb.europa.eu/stats/policy_and_exchange_rates/euro_reference_exchange_rates/html/index.en.html">Central European Bank reference rates</a>.</p>
				</div>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
	
// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li>New Window</li>',
		'<hr>',
		'<li onclick="$(&apos;#calculatorPreferencesDialog&apos;).show();$(&apos;.popover&apos;).hide();">Preferences</li>',
		'<li>Keyboard Shortcuts</li>',
		'<li>About Calculator</li>',
		'</ul>'].join('');

	$('#calculatorMenu').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});
</script>